openapi: 3.0.4
info:
  title: Altitude Web API
  description: |-
    The API for the Altitude website
  version: 1.0.0
servers:
  - url: https://alttd.com/api/v3
tags:
  - name: history
    description: Retrieves punishment history
  - name: team
    description: Retrieves information about the staff team
paths:
  /team/{team}:
    $ref: './schemas/team/team.yml#/getTeam'
  /history/{userType}/search/{type}:
    $ref: './schemas/bans/bans.yml#/getUserNames'
  /history/{userType}/name/{type}/{user}/{page}:
    $ref: './schemas/bans/bans.yml#/getHistoryForUsers'
  /history/{userType}/name/{type}/{page}:
    $ref: './schemas/bans/bans.yml#/getHistoryForAll'
  /history/{userType}/uuid/{type}/{uuid}/{page}:
    $ref: './schemas/bans/bans.yml#/getHistoryForUuid'
